slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSRegister

Adds a direct solver to the DS package.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRegister(const char *name,PetscErrorCode (*function)(DS))

Not Collective

### Input Parameters

| name | - name of a new user-defined DS
| function | - routine to create context

### Notes

DSRegister() may be called multiple times to add several user-defined direct solvers.

### See Also

DSRegisterAll()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsbasic.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages